Not possible to choose any options when loading layers from OGC web services

2017-12-03 08:32 AM - James Passmore

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25505

Description

After adding a WMS/WCS/WFS connection, it is not possible to select any options from those services when adding your selected

layer/coverage/feature type to QGIS.

For example for all such services it is not possible to choose which media type is requested, or which projection you want requested.

Similarly for WMS it is not possible to select which style you want (when more than one is offered).

History

#1 - 2017-12-03 10:45 AM - Giovanni Manghi

- Status changed from Open to Feedback

Cannot confirm here on windows and linux. Please attach a screenshot.

#2 - 2017-12-04 09:33 AM - Richard Duivenvoorde

And if possible plz show us the url of a public service, or which kind of service/mapserver you are requesting.

I cannot reproduce this too.

#3 - 2017-12-04 11:37 AM - James Passmore

Giovanni Manghi wrote:

Cannot confirm here on windows and linux. Please attach a screenshot.

Not sure how I can send a screenshot of something that doesn't exist in QGIS 3.

Perhaps it would be better by example.

Let's say I have a WMS with endpoint http://ogc.bgs.ac.uk/digmap625k_gsml_insp_gs/ows? So Capabilities request of 

http://ogc.bgs.ac.uk/digmap625k_gsml_insp_gs/ows?SERVICE=WMS&#38;request=GetCapabilitiesx%x%

Let's say I want to load the GeologicUnitView layer with the cgiinspirelithology style I want the map to be requested in EPSG:4258 project as image/geotiff.
How can I do that

#4 - 2017-12-04 12:21 PM - James Passmore

Richard Duivenvoorde wrote:

And if possible plz show us the url of a public service, or which kind of service/mapserver you are requesting.

I cannot reproduce this too.

I have the same issue on Windows.  I add a New Connection, I select the layer I want to add to the map, I right click and choose the 'Add Selected Layer(s)

to Canvas' option, and the here I want to be able to choose WMS options, (which image format, which projection, which style) but QGIS just makes some

random selection, and adds the layer to the map...

#5 - 2017-12-04 04:53 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

I have the same issue on Windows.  I add a New Connection, I select the layer I want to add to the map, I right click and choose the 'Add Selected

Layer(s) to Canvas' option, and the here I want to be able to choose WMS options, (which image format, which projection, which style) but QGIS

just makes some random selection, and adds the layer to the map...

Is this from the Browser? Then it is by design. You cannot choose that options from browser, only from the "add WMS layer..." dialog.

Please reopen if necessary.

#6 - 2017-12-04 05:00 PM - James Passmore

Giovanni Manghi wrote:

I have the same issue on Windows.  I add a New Connection, I select the layer I want to add to the map, I right click and choose the 'Add Selected

Layer(s) to Canvas' option, and the here I want to be able to choose WMS options, (which image format, which projection, which style) but QGIS

just makes some random selection, and adds the layer to the map...

Is this from the Browser? Then it is by design. You cannot choose that options from browser, only from the "add WMS layer..." dialog.

Please reopen if necessary.

It used to be possible, if has been changed by design then it appears to be an odd choice.

#7 - 2017-12-04 05:02 PM - Giovanni Manghi

It used to be possible,

in what version?

2025-04-27 2/3



2025-04-27 3/3


